DocumentID: 90fb4446-2b09-4f5f-9270-dda13290f9ac
TakenAt: 2018-07-30T06:44:27Z
TakenAtLocal: 2018-07-30T14:44:27Z
TakenSrc: meta
UID: pt67nyjvso75cbmz
Type: image
Title: Portrait / Buscalan / 2018
OriginalName: 2020-12-10_174038
TimeZone: Asia/Manila
PlaceSrc: meta
Altitude: 1029
Lat: 17.23079444444444
Lng: 121.08330555555555
Year: 2018
Month: 7
Day: 30
ISO: 25
Exposure: 1/169
FNumber: 2.2
FocalLength: 32
Quality: 4
Faces: 1
Details:
  Keywords: buscalan, elementary, green, kalinga, landscape, philippines, portrait,
    school, sunglasses
  Software: 11.2.1
  SoftwareSrc: meta
CreatedAt: 2025-11-24T03:20:43Z
UpdatedAt: 2025-11-24T08:22:54Z
